# $Revision: 1.13 $, $Date: 2006/11/26 15:34:43 $
%define		_modname	SQLite
%define		_status		stable
%define		_smodname	sqlite
%define		_sysconfdir	/etc/php4
%define		extensionsdir	%{_libdir}/php4

Summary:	%{_modname} - database bindings
Summary(pl):	%{_modname} - powizania z baz danych
Name:		php4-pecl-%{_modname}
Version:	1.0.3
Release:	8
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	3741cb211f9eb3f77de086e96d232e95
URL:		http://pecl.php.net/package/SQLite/
BuildRequires:	php4-devel >= 3:4.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Provides:	php(sqlite)
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{_modname} is a C library that implements an embeddable SQL database
engine. Programs that link with the %{_modname} library can have SQL
database access without running seperate RDBMS process. This extension
allows you to access %{_modname} databases from within PHP.

In PECL status of this package is: %{_status}.

%description -l pl
%{_modname} jest napisan w C bibliotek implementujc osadzon baz
SQL. Programy konsolidowane z %{_modname} mog mie dostp do bazy SQL
bez potrzeby uruchamiana kolejnego procesu RDBMS. To rozszerzenie
pozwala na dostp do baz SQLite z poziomu PHP.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}
%{__make} -C %{_modname}-%{version} install INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_smodname}.ini
; Enable %{_modname} extension module
extension=%{_smodname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/README %{_modname}-%{version}/TODO %{_modname}-%{version}/CREDITS
%doc %{_modname}-%{version}/sqlite.php %{_modname}-%{version}/tests
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_smodname}.ini
%attr(755,root,root) %{extensionsdir}/%{_smodname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php4-pecl-SQLite.spec,v $
Revision 1.13  2006/11/26 15:34:43  glen
- rel 8: add Provides: php(%{_modname})

Revision 1.12  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.11  2005/11/04 15:48:19  arekm
- rel 6

Revision 1.10  2005/10/30 10:25:24  glen
- rebuild with zts and debug requires

Revision 1.9  2005/10/27 15:22:31  glen
- rebuild with php(debug) and php(thread-safety) macros
- rel 5

Revision 1.8  2005/09/15 20:13:36  glen
- rel 4

Revision 1.7  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.6  2005/09/13 21:11:08  glen
- use new php/zend api macros

Revision 1.5  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.4  2005/09/11 22:03:28  glen
- full conf.d support and unifications

Revision 1.3  2005/07/13 11:19:06  arekm
- rel 2

Revision 1.2  2004/12/30 11:35:53  arekm
- fix post scripts

Revision 1.1  2004/12/30 11:28:31  arekm
- new

Revision 1.9  2004/05/30 16:01:21  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.8  2004/02/13 19:29:28  adamg
- updated to 1.0.2
- removed bogus changelog entry

Revision 1.6  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.5  2003/10/15 17:37:04  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.4  2003/10/07 20:57:03  adamg
- do not use macros in URL

Revision 1.3  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.2  2003/06/22 15:10:59  adamg
- fixed pl/en summary
- added pl/en description
- added source0-md5
- cosmetics

Revision 1.1  2003/06/22 14:33:48  adamg
- initial import (moved from pear)
